[] spawn {
    uiSleep 5;

    private _temporaryVehicle = [
    	["#create", {
    		params ["_vehicleType", "_vehiclePos", "_lifetimeSeconds"]; // handle constructor arguments
    		private _newVehicle = _vehicleType createVehicle _vehiclePos;
    		_self set ["MyVehicle", _newVehicle ]; // Store the vehicle inside the object for later

    		// because _self is passed as parameter, it will be referenced by the spawned script until it ends.
    		[_lifetimeSeconds, _self] spawn { params ["_lifetimeSeconds", "_self"]; sleep _lifetimeSeconds; };
    	}],
    	["#delete", {
    		deleteVehicle (_self get "MyVehicle"); // delete the vehicle when we go away
    	}],
    	["MyVehicle", objNull] // placeholder, this is not needed
    ];

    // create a temporary RoadCone, at player position, that will delete itself after 5 seconds.
    createHashMapObject [_temporaryVehicle, ["RoadCone_F", getPos player, 5]];

    systemChat "DONE";
};
